part of 'smart_scene_select_dart_bloc.dart';

sealed class SmartSceneSelectEvent extends Equatable {
  const SmartSceneSelectEvent();

  @override
  List<Object> get props => [];
}

class SmartSceneEnableEvent extends SmartSceneSelectEvent {
  final SmartSceneEnable smartSceneEnable;

  const SmartSceneEnableEvent(this.smartSceneEnable);

  @override
  List<Object> get props => [smartSceneEnable];
}

class SmartSceneClearEvent extends SmartSceneSelectEvent {
  const SmartSceneClearEvent();
}

class SmartSceneConfirmSelectionEvent extends SmartSceneSelectEvent {
  const SmartSceneConfirmSelectionEvent();
}
